Skip to content

Retrieve case comments
deprecated

Request

This endpoint returns a comments list object, which is an array of comments that have been associated with the case. Comments are ordered newest to oldest and are not paginated (all comments returned at once).

Note : V1 endpoint is deprecated for new integrations and advising users to migrate to the 2026Q3 onwards API.

Security
ClientCredentialsToken
Path
caseIdinteger, (int64)required

Case ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v1/cases/{caseId}/comments' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Comments list object.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
messagestring or null

Message providing context for the response if the comments list is empty due to the case status being in CREATING. null if case has been created.

Example:null
commentsArray of objects

Array of comments associated with the case.

Response
{ "message": null, "comments": [ { "id": 16554865464081, "plainBody": "We have resolved the issue with this transfer.\n\nThank you!", "author": "WISE_AGENT", "createdAt": "2023-06-28T15:22:29.901" } ] }